@font-face {
  font-family: "Gilroy";
  src: url(/fonts/Gilroy-Regular.eot?59525ce19c9e4999bc19d96e4a88c1b3);
  src: local("Gilroy Regular"), local("Gilroy-Regular"), url(/fonts/Gilroy-Regular.eot?59525ce19c9e4999bc19d96e4a88c1b3) format("embedded-opentype"), url(/fonts/Gilroy-Regular.woff?8e8705d069fbb9099b3a1e1d779fa5c5) format("woff"), url(/fonts/Gilroy-Regular.ttf?ae5e7255973ffe09b53f07a2805232a8) format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Gilroy";
  src: url(/fonts/Gilroy-Medium.eot?ce12e7f23ff25c6f534364a7435885df);
  src: local("Gilroy Medium"), local("Gilroy-Medium"), url(/fonts/Gilroy-Medium.eot?ce12e7f23ff25c6f534364a7435885df) format("embedded-opentype"), url(/fonts/Gilroy-Medium.woff?7d5dc1791cf2738d55a87e871549004c) format("woff"), url(/fonts/Gilroy-Medium.ttf?6444f14adcdee041b62184f13139a56d) format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Gilroy";
  src: url(/fonts/Gilroy-Bold.eot?5e111ca086414e1d8905e5a875fb6899);
  src: local("Gilroy Bold"), local("Gilroy-Bold"), url(/fonts/Gilroy-Bold.eot?5e111ca086414e1d8905e5a875fb6899) format("embedded-opentype"), url(/fonts/Gilroy-Bold.woff?32750b00d6f5003097a67377a4af208f) format("woff"), url(/fonts/Gilroy-Bold.ttf?3cf0ee273a0b3f022234b6572c3b78f9) format("truetype");
  font-weight: bold;
  font-style: normal;
}

html {
  height: 100%;
  width: 100%;
  font-family: "Gilroy", sans-serif;
}

.auth {
  background: #212121 url(/auth/setka.png) 0 0 repeat-y;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  min-height: 100%;
  margin: 0 !important;
  font-family: "Gilroy", sans-serif;
}

.auth__wrapper {
  width: 400px;
  text-align: center;
  margin: 0 2rem;
}

.auth__logo {
  width: 50%;
  margin-bottom: 2rem;
}

.auth__box {
  padding: 1.5rem 2rem;
  min-height: 200px;
  width: 100%;
  background-image: linear-gradient(0deg, #6717cd 0, #2871fa);
  box-sizing: border-box;
  border-radius: 1rem;
}

.auth__status {
  margin-bottom: 2rem;
  padding: 1rem 2rem;
  width: 100%;
  box-sizing: border-box;
  border-radius: 1rem;
  font-size: 1.2em;
}

.auth__status-success {
  background-color: #28a745;
}

.auth__title {
  margin-top: 0;
}

.auth__sub-title {
  margin-top: 0;
}

.auth__form {
  width: 100%;
}

.auth__form-group {
  width: 100%;
  position: relative;
  margin-bottom: 1rem;
  text-align: left;
}

.auth__form-group.has-error .auth__form-input {
  border: 1px solid #e02727;
}

.auth__form-input {
  width: calc(100% - 30px);
  height: 54px;
  background-color: rgba(58, 58, 58, 0.3);
  border: 1px solid #fff;
  color: #fff;
  font-size: 1em;
  line-height: 20px;
  padding-left: 30px;
  font-family: "Gilroy", sans-serif;
}

.auth__form-input::-moz-placeholder {
  color: #fff;
  font-family: "Gilroy", sans-serif;
}

.auth__form-input:-ms-input-placeholder {
  color: #fff;
  font-family: "Gilroy", sans-serif;
}

.auth__form-input::placeholder {
  color: #fff;
  font-family: "Gilroy", sans-serif;
}

.auth__form-help {
  color: #e02727;
  display: block;
  margin-top: 5px;
}

.auth__form-submit {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 50px;
  background-color: #212121;
  background-image: url(/auth/setka.png), linear-gradient(45deg, rgba(255, 255, 255, 0) 30%, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 70%), linear-gradient(90deg, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0) 90%, rgba(255, 255, 255, 0)), linear-gradient(90deg, rgba(125, 125, 125, 0), rgba(255, 255, 255, 0) 45%, rgba(125, 125, 125, 0)), linear-gradient(90deg, rgba(125, 125, 125, 0), rgba(255, 255, 255, 0) 45%, rgba(125, 125, 125, 0)), linear-gradient(90deg, rgba(223, 190, 170, 0), rgba(255, 255, 255, 0) 45%, rgba(223, 190, 170, 0)), linear-gradient(90deg, rgba(223, 190, 170, 0), rgba(255, 255, 255, 0) 45%, rgba(223, 190, 170, 0));
  background-repeat: no-repeat;
  background-size: auto, 200% 100%, auto, 100% 2px, 100% 2px, 100% 1px, 100% 1px;
  background-position: 0 0, 200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
  color: #fff;
  font-size: 1em;
  min-width: 200px;
  height: 54px;
  border: 2px solid #fff;
  transition-duration: 0.5s;
  transition-property: background, color, border-color;
  cursor: pointer;
  box-shadow: 3px 10px 10px -10px rgba(0, 0, 0, 0.5);
  font-family: "Gilroy", sans-serif;
  font-weight: bold;
}

.auth__form-submit:hover {
  transition: 0.5s linear;
  background-position: 0 0, -200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
}

.auth__form-checkbox label {
  line-height: 20px;
  position: relative;
  cursor: pointer;
}

.auth__form-checkbox input {
  margin: 0 3px;
  height: 20px;
  width: 20px;
  top: 3px;
  position: relative;
  cursor: pointer;
}

.auth__links {
  display: flex;
  justify-content: space-evenly;
  margin-top: 1.5rem;
}

.auth__link {
  flex: 1;
  color: #fff;
  font-size: 1em;
  font-weight: 500;
  font-style: normal;
  letter-spacing: normal;
  text-decoration: none;
  transition: 0.5s;
}

.auth__link:hover {
  color: #b4b4b4;
}

.auth__social {
  display: flex;
  justify-content: space-evenly;
}

.auth__icon {
  font-size: 2em;
  color: #2871fa;
  text-decoration: none;
  margin-top: 2rem;
}

.auth__icon svg {
  width: 2rem;
  height: 2rem;
  transition: 0.5s;
}

.auth__icon:hover svg,
.auth__icon:focus svg {
  transform: scale(1.2);
}

@media screen and (max-width: 500px) {
  .auth__wrapper {
    width: 100%;
  }
}

@media screen and (max-width: 425px) {
  .auth__links {
    flex-direction: column;
  }
}

